Updates file metadata and field mappings.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Mapping identifier returned in a successful 201 response from the POST Send file metadata request.
Example of an updated import definition
{
"entitySystemName": "My_Data",
"definition": {
"importMode": "REPLACE",
"locale": "en-US",
"fieldDelimiter": ",",
"dateFormat": "dd-MM-yyyy",
"dateTimeFormat": "dd-MM-yyyy HH:mm:ss",
"decimalSeparator": ".",
"groupingSeparator": ",",
"currencySymbol": "$",
"percentSymbol": "%",
"ignoreSurroundingSpaces": true,
"fields": [
{
"systemName": "Price",
"csvColumnName": "Price"
}
]
}
}Name of the entity to import your file into. Contact your Zilliant representative to get your entity name.
File metadata and mapping definition.
Mode of adding data. Supported values:
- UPSERT—Insert new data into the entity and update existing records with the new information.
- INSERT—Add new data to the entity without updating existing records.
- REPLACE—Substitute existing records with new data.
Locale of the input file. For details on supported values, read JDK 11 Supported Locales.
Field delimiter used in the input file. All commonly used delimiters are supported, such as ,, |, \t (the only supported value for tab), ~, ;, and others.
Date format used in the input file. The format must follow the rules defined in the Java SimpleDateFormat class documentation.
Note: Use MM for months and mm for minutes.
Date-time format used in the input file. The format must follow the rules defined in the Java SimpleDateFormat class documentation.
Note: Use MM for months and mm for minutes.
Decimal separator used in the input file.
Thousands separator used in the input file.
Currency symbol used in the input file. You can enter any currency symbol supported by Oracle's JDK 11.
Percent symbol used in the input file.
Define whether to ignore white spaces when importing data. Supported values:
- true—Ignore white spaces except for values in quotation marks.
- false—Preserve leading and trailing spaces.
Note: Regardless of the ignoreSurroundingSpaces parameter value, SQL Server always ignores trailing spaces when checking for unique values in columns defined as business keys. This means that you can't insert two rows with business key values differing only by trailing spaces, such as
"myvalue" and "myvalue ".
Field mapping from file columns to entity fields.
System name of the target entity field. Contact your Zilliant representative to get your entity field names.
Column name in the uploaded file.
Data updated.
Invalid JSON body.
Authentication error.
Mapping ID not found.
Missing entity system name.